Package org.apache.groovy.parser.antlr4

## Class PositionInfo

- java.lang.Object
- - org.apache.groovy.parser.antlr4.PositionInfo

-     public class PositionInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PositionInfo​(int line, int column)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `getColumn()` |
    `int` | `getLine()` |
    `int` | `hashCode()` |
    `void` | `setColumn​(int column)` |
    `void` | `setLine​(int line)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PositionInfo

          public PositionInfo​(int line,
                              int column)

  - ### Method Detail

    - #### getLine

          public int getLine()

    - #### setLine

          public void setLine​(int line)

    - #### getColumn

          public int getColumn()

    - #### setColumn

          public void setColumn​(int column)

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`